PING6(1)

NAME
ping6 - send ICMP6 ECHO_REQUEST packets to network hosts

SYNOPSIS
ping6 [option ...] host ...

DESCRIPTION
Send ICMP6 ECHO_REQUEST packets to network hosts and report the replies received.

OPTIONS

-c, --count total
    Stop after sending the total number of packets.

-i, --interval pause
    Wait for pause seconds between sending each packet.

-w, --timeout end
    Stop after end seconds.

-n, --numeric
    Do not resolve host addresses.

--hoplimit limit

--ttl limit
    Set the maximum allowed number of hops to limit.

-r, --ignore-routing
    Send directly to a host on an attached network.

-T, --tos class
    Set the traffic class.

-f, --flood
    Flood ping (root only).

-l, --preload initial
    Send an initial number of packets as fast as possible before falling into normal mode of behavior (root only).

-p, --pattern pattern
    Fill ICMP6 packets with the given pattern (hex).

-s, --size octets
    Send the number of data octets in each packet.

-v, --verbose
    Verbose output.

-q, --quiet
    Quiet output.

-d, --debug
    Set the SO_DEBUG option.

?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

Options marked with (root only) are available only to the superuser.